Name: roboptim-core
Version: 0.5
Release: 3%{?dist}
Summary: The RobOptim core C++ library

Group: Development/Libraries
License: LGPLv3+
URL: http://roboptim.sourceforge.net/
Source0: http://downloads.sourceforge.net/roboptim/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: boost-devel, libtool-ltdl-devel
# Require Doxygen and its dependencies.
BuildRequires: doxygen, tex(latex), tex(dvips)


%description
RobOptim provide C++ numerical optimization libraries for robotics.
RobOptim core focuses on providing abstractions for optimization problem
definition and infrastructure to allow the use of existing solvers as
a back-end


%package devel
Summary: The Roboptim core headers and development-related files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, boost-devel, libtool-ltdl-devel
# pkg-config dependency is detected automatically on Fedora.
%description devel
Headers and shared object symlinks for the RobOptim core C++ library


%package doc
Summary: The RobOptim core documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
Documentation for the RobOptim core library





%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name}-%{version} --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#FIXME: should libraries have version numbers or not?
# LDFLAGS="-avoid-version"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

# Install
install -cpm 644 AUTHORS COPYING THANKS README NEWS \
 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

# Get rid of Libtool files as they should not be installed.
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/

# for COPYING, INSTALL, AUTHORS, etc.
%{_docdir}/%{name}-%{version}/[A-Z]*

# versioned shared library
%{_libdir}/*.so.*

# package whole directory:
# ``.so'' file is also needed as ltdl_openext does not consider
# versioned plug-ins.
%{_libdir}/%{name}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/doxygen-html/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 14 2010 Thomas Moulard <thomas.moulard@gmail.com> - 0.5-2
- Fix unowned directories problem.
- Fix documentation packaging rules.

* Wed Jan 13 2010 Thomas Moulard <thomas.moulard@gmail.com> - 0.5-1
- Fix plug-in path (now packaged properly in a subdirectory).
- Add missing build requirements (latex / dvips).
- Add missing requirements (boost-devel, libtool-ltdl-devel in roboptim-devel).
- Use "install -p" to preserve timestamps.
- Update to release 0.5.
- For more information see: https://bugzilla.redhat.com/show_bug.cgi?id=538820

* Thu Nov 12 2009 Thomas Moulard <thomas.moulard@gmail.com> - 0.3.28-1
- Fix rpmlint errors.
- Handle Autotools issues (add -avoid-version and --distable-static).

* Wed Nov 11 2009 Thomas Moulard <thomas.moulard@gmail.com> - 0.3-1
- initial work
